Bug 21005 - Неправильное описание работы скрипта getweb
: Неправильное описание работы скрипта getweb
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/foo2zjs)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://forum.altlinux.org/index.php/t...
:
:
:
  Show dependency tree
 
Reported: 2009-08-08 11:31 by
Modified: 2009-08-11 10:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-08 11:31:30
Ошибка в описании работы программы (например в
/usr/share/doc/foo2zjs.../README-UTF8.ALT) - не указано, 
что нужен второй параметр - имя каталога, куда скачивается прошивка:
 правильно не Не 
getweb 1018, а 
getweb 1018 путь_куда_скачивать прошивку.
Типа 
getweb 1018 /tmp
------- Comment #1 From 2009-08-10 10:08:21 -------
Ошибка на сборке из sisyphus не подтвердилась. На форуме написано, что человек
использует 4.1. Там этот пакет очень давно не обновлялся. Используйте сборку
либо из 5.0, либо из sisyphus.
------- Comment #2 From 2009-08-10 10:10:29 -------
Багу закрываю, т.к. в последующих сборках всё это исправлено.
------- Comment #3 From 2009-08-10 20:15:29 -------
Смотрю Сизиф:

getweb 1018
/sihp1018.tar.gz: Отказано в доступе
getweb: Couldn't download http://foo2zjs.rkkda.com/firmware/sihp1018.tar.gz

Всё дело в том, что правильнее 

getweb 1018 .

Так, что я не понимаю что в Сизифе изменилось?
------- Comment #4 From 2009-08-11 08:13:38 -------
(В ответ на комментарий №3)
> Смотрю Сизиф:
> 
> getweb 1018
> /sihp1018.tar.gz: Отказано в доступе
> getweb: Couldn't download http://foo2zjs.rkkda.com/firmware/sihp1018.tar.gz
>
> Всё дело в том, что правильнее 
> 
> getweb 1018 .
> 
> Так, что я не понимаю что в Сизифе изменилось?

А теперь берём и просто запускаем getweb. Там будет расписано, какие параметры
нужны.
Далее. Открываем /usr/share/doc/foo2zjs-20090614/README-UTF8.ALT
Читаем пункт 1, если хотим, чтоб прошивка сама скачалась и установилась.
Читаем пункт 3, если хотим ручной работы.

И в самом конце README читаем "Что писать в качестве параметра к getweb:".

Что ещё не так, чего не хватает?
------- Comment #5 From 2009-08-11 09:34:25 -------
Ок, принято :)
------- Comment #6 From 2009-08-11 09:55:43 -------
(В ответ на комментарий №5)
> Ок, принято :)

Что это значит?
Проблема была в том, что Вы не разобрались до конца?
------- Comment #7 From 2009-08-11 10:07:34 -------
Проблема была в содержании README-UTF8.ALT
------- Comment #8 From 2009-08-11 10:16:55 -------
(В ответ на комментарий №7)
> Проблема была в содержании README-UTF8.ALT

Это давно исправлено. Возможно следует обновить сборку в 4.1.